/**
 * File written by Raphael Champeimont
 * UMR 7238 Genomique des Microorganismes
 */
package fr.orsay.lri.varna.models.templates;

/**
 * @author Raphael Champeimont
 * How should we draw unpaired regions?
 */
public enum DrawRNATemplateCurveMethod {
	 // use what is in the template
	EXACTLY_AS_IN_TEMPLATE,
	// use ellipses, ignoring Bezier parameters from template (useful mostly for debugging ellipses)
	ALWAYS_REPLACE_BY_ELLIPSES,
	// replace by ellipse where it is a good idea
	SMART;
	
	public static DrawRNATemplateCurveMethod getDefault() {
		return SMART;
	}
}
